| Exiv2

Loading...
Searching...
No Matches
List of all members
Exiv2::Internal::Rw2Header Class Reference

Panasonic RW2 header structure. More...

`#include <rw2image_int.hpp>`

Inheritance diagram for Exiv2::Internal::Rw2Header:
[legend]

## Public Member Functions
Creators
| Rw2Header ()
| Default constructor.
Accessors
DataBuf | write () const override
| Not yet implemented. Does nothing and returns an empty buffer.
Public Member Functions inherited from Exiv2::Internal::TiffHeaderBase
| TiffHeaderBase (uint16_t tag, uint32_t size, ByteOrder byteOrder, uint32_t offset)
| Constructor taking tag, size and default byteOrder and offset.
virtual | ~TiffHeaderBase ()=default
| Virtual destructor.
virtual bool | read (const byte *pData, size_t size)
| Read the image header from a data buffer. Return false if the data buffer does not contain an image header of the expected format, else true.
virtual void | setByteOrder (ByteOrder byteOrder)
| Set the byte order.
virtual void | setOffset (uint32_t offset)
| Set the offset to the start of the root directory.
virtual void | print (std::ostream &os, const std::string &prefix="") const
| Print debug info for the image header to os.
virtual ByteOrder | byteOrder () const
| Return the byte order (little or big endian).
virtual uint32_t | offset () const
| Return the offset to the start of the root directory.
virtual uint32_t | size () const
| Return the size (in bytes) of the image header.
virtual uint16_t | tag () const
| Return the tag value (magic number) which identifies the buffer as TIFF data.
virtual bool | isImageTag (uint16_t tag, IfdId group, const PrimaryGroups *pPrimaryGroups) const
| Return `true` if the Exif tag from group is an image tag.

## Detailed Description

Panasonic RW2 header structure.

## Member Function Documentation

## ◆ write()

DataBuf Exiv2::Internal::Rw2Header::write | ( |  | ) | const
| nodiscard override virtual

Not yet implemented. Does nothing and returns an empty buffer.

Reimplemented from Exiv2::Internal::TiffHeaderBase.

The documentation for this class was generated from the following files:

- rw2image_int.hpp
- rw2image_int.cpp